import { InobyModule } from "@lib/inoby-module";
import KeenSliderHelper from "@lib/keen-slider-helper";
import * as $ from "jquery";

class PostsSliderComponent extends InobyModule {
  run() {
    const $sliderContainers = $("section.inoby-posts-slider .keen-slider");
    KeenSliderHelper.registerSlider($sliderContainers, {
      selector:
        "section.inoby-posts-slider .keen-slider>*:not(.keen-arrow):not(.dots)",
    });
  }
}

new PostsSliderComponent().runOnReady();
